


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html id="htmlId">
<head>
  <title>Coverage Report :: Task</title>
  <style type="text/css">
    @import "../../.css/coverage.css";
  </style>
</head>

<body>
<div class="header"></div>

<div class="content">
<div class="breadCrumbs">
    [ <a href="../../index.html">all classes</a> ]
    [ <a href="../index.html">com.dema.timeregistration.entity</a> ]
</div>

<h1>Coverage Summary for Class: Task (com.dema.timeregistration.entity)</h1>

<table class="coverageStats">
<tr>
  <th class="name">Class</th>
<th class="coverageStat 
">
  Class, %
</th>
<th class="coverageStat 
">
  Method, %
</th>
<th class="coverageStat 
">
  Line, %
</th>
</tr>
<tr>
  <td class="name">Task</td>
<td class="coverageStat">
  <span class="percent">
    100%
  </span>
  <span class="absValue">
    (1/ 1)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    86.7%
  </span>
  <span class="absValue">
    (13/ 15)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    88.9%
  </span>
  <span class="absValue">
    (24/ 27)
  </span>
</td>
</tr>

</table>

<br/>
<br/>


<div class="sourceCode"><i>1</i>&nbsp;package com.dema.timeregistration.entity;
<i>2</i>&nbsp;
<i>3</i>&nbsp;import com.dema.timeregistration.repository.jpa.DurationAttributeConverter;
<i>4</i>&nbsp;
<i>5</i>&nbsp;import javax.persistence.*;
<i>6</i>&nbsp;import java.time.Duration;
<i>7</i>&nbsp;import java.util.Set;
<i>8</i>&nbsp;
<i>9</i>&nbsp;@Entity
<i>10</i>&nbsp;@Table(uniqueConstraints = {@UniqueConstraint(columnNames = {&quot;name&quot;, &quot;project&quot;})})
<b class="fc"><i>11</i>&nbsp;public class Task extends EntityWithId {</b>
<i>12</i>&nbsp;    @Column(name = &quot;name&quot;)
<i>13</i>&nbsp;    private String name;
<i>14</i>&nbsp;
<i>15</i>&nbsp;    @JoinColumn(name = &quot;project&quot;)
<i>16</i>&nbsp;    @ManyToOne
<i>17</i>&nbsp;    private Project project;
<i>18</i>&nbsp;
<i>19</i>&nbsp;    private String description;
<i>20</i>&nbsp;    private String status;
<i>21</i>&nbsp;
<i>22</i>&nbsp;    @Convert(converter = DurationAttributeConverter.class)
<i>23</i>&nbsp;    private Duration estimate;
<i>24</i>&nbsp;
<i>25</i>&nbsp;    @OneToMany(cascade = CascadeType.REMOVE, mappedBy = &quot;task&quot;)
<i>26</i>&nbsp;    private Set&lt;TimeEntry&gt; timeEntries;
<i>27</i>&nbsp;
<i>28</i>&nbsp;
<i>29</i>&nbsp;    public static Task create(String name, Project project, String description, String status, Duration estimate) {
<b class="fc"><i>30</i>&nbsp;        Task task = new Task();</b>
<b class="fc"><i>31</i>&nbsp;        task.setName(name);</b>
<b class="fc"><i>32</i>&nbsp;        task.setProject(project);</b>
<b class="fc"><i>33</i>&nbsp;        task.setDescription(description);</b>
<b class="fc"><i>34</i>&nbsp;        task.setStatus(status);</b>
<b class="fc"><i>35</i>&nbsp;        task.setEstimate(estimate);</b>
<b class="fc"><i>36</i>&nbsp;        return task;</b>
<i>37</i>&nbsp;    }
<i>38</i>&nbsp;
<i>39</i>&nbsp;    public int getId() {
<b class="fc"><i>40</i>&nbsp;        return id;</b>
<i>41</i>&nbsp;    }
<i>42</i>&nbsp;
<i>43</i>&nbsp;    public void setId(int id) {
<b class="nc"><i>44</i>&nbsp;        this.id = id;</b>
<b class="nc"><i>45</i>&nbsp;    }</b>
<i>46</i>&nbsp;
<i>47</i>&nbsp;    public String getName() {
<b class="fc"><i>48</i>&nbsp;        return name;</b>
<i>49</i>&nbsp;    }
<i>50</i>&nbsp;
<i>51</i>&nbsp;    public void setName(String name) {
<b class="fc"><i>52</i>&nbsp;        this.name = name;</b>
<b class="fc"><i>53</i>&nbsp;    }</b>
<i>54</i>&nbsp;
<i>55</i>&nbsp;    public Project getProject() {
<b class="fc"><i>56</i>&nbsp;        return project;</b>
<i>57</i>&nbsp;    }
<i>58</i>&nbsp;
<i>59</i>&nbsp;    public void setProject(Project project) {
<b class="fc"><i>60</i>&nbsp;        this.project = project;</b>
<b class="fc"><i>61</i>&nbsp;    }</b>
<i>62</i>&nbsp;
<i>63</i>&nbsp;    public String getDescription() {
<b class="fc"><i>64</i>&nbsp;        return description;</b>
<i>65</i>&nbsp;    }
<i>66</i>&nbsp;
<i>67</i>&nbsp;    public void setDescription(String description) {
<b class="fc"><i>68</i>&nbsp;        this.description = description;</b>
<b class="fc"><i>69</i>&nbsp;    }</b>
<i>70</i>&nbsp;
<i>71</i>&nbsp;    public String getStatus() {
<b class="fc"><i>72</i>&nbsp;        return status;</b>
<i>73</i>&nbsp;    }
<i>74</i>&nbsp;
<i>75</i>&nbsp;    public void setStatus(String status) {
<b class="fc"><i>76</i>&nbsp;        this.status = status;</b>
<b class="fc"><i>77</i>&nbsp;    }</b>
<i>78</i>&nbsp;
<i>79</i>&nbsp;    public Duration getEstimate() {
<b class="fc"><i>80</i>&nbsp;        return estimate;</b>
<i>81</i>&nbsp;    }
<i>82</i>&nbsp;
<i>83</i>&nbsp;    public void setEstimate(Duration estimate) {
<b class="fc"><i>84</i>&nbsp;        this.estimate = estimate;</b>
<b class="fc"><i>85</i>&nbsp;    }</b>
<i>86</i>&nbsp;
<i>87</i>&nbsp;    public Set&lt;TimeEntry&gt; getTimeEntries() {
<b class="nc"><i>88</i>&nbsp;        return timeEntries;</b>
<i>89</i>&nbsp;    }
<i>90</i>&nbsp;}
</div>
</div>

<div class="footer">
    
    <div style="float:right;">generated on 2019-05-13 13:51</div>
</div>
</body>
</html>
